[arch-commits] Commit in conky/repos (3 files)

Giovanni Scafora giovanni at archlinux.org
Mon Oct 12 12:46:19 UTC 2009


    Date: Monday, October 12, 2009 @ 08:46:18
  Author: giovanni
Revision: 55239

Merged revisions 55237 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/conky/trunk

........
  r55237 | giovanni | 2009-10-12 05:40:35 -0700 (lun, 12 ott 2009) | 2 lines
  
  upgpkg: conky 1.7.2-2
      Fix hwmon for kernel 2.6.31
........

Added:
  conky/repos/extra-i686/fix_hwmon_for_2.6.31.patch
    (from rev 55237, conky/trunk/fix_hwmon_for_2.6.31.patch)
Modified:
  conky/repos/extra-i686/	(properties)
  conky/repos/extra-i686/PKGBUILD

----------------------------+
 PKGBUILD                   |   11 +++++++----
 fix_hwmon_for_2.6.31.patch |   36 ++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+), 4 deletions(-)


Property changes on: conky/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /conky/trunk:1-50302
   + /conky/trunk:1-55238

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-10-12 12:41:15 UTC (rev 55238)
+++ extra-i686/PKGBUILD	2009-10-12 12:46:18 UTC (rev 55239)
@@ -1,10 +1,11 @@
 # $Id$
 # Maintainer: Giovanni Scafora <giovanni at archlinux.org>
 # Contributor: James Rayner <james at archlinux.org>
+# Contributor:  Partha Chowdhury <kira.laucas at gmail.com>
 
 pkgname=conky
 pkgver=1.7.2
-pkgrel=1
+pkgrel=2
 pkgdesc="An advanced, highly configurable system monitor for X based on torsmo"
 arch=('i686' 'x86_64')
 url="http://conky.sourceforge.net/"
@@ -12,11 +13,14 @@
 replaces=('torsmo')
 depends=('alsa-lib' 'libxml2' 'curl' 'wireless_tools' 'libxft' 'glib2' 'libxdamage' 'imlib2')
 makedepends=('pkgconfig')
-source=(http://downloads.sourceforge.net/project/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2)
-md5sums=('cf6f5d45d42ad68c618c00271813b80d')
+source=(http://downloads.sourceforge.net/project/${pkgname}/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.bz2
+        fix_hwmon_for_2.6.31.patch)
+md5sums=('cf6f5d45d42ad68c618c00271813b80d'
+         'efb3e188cd3879fc7b5af51b59d553ec')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
+  patch -Np1 -i ${srcdir}/fix_hwmon_for_2.6.31.patch || return 1
   ./configure --prefix=/usr \
               --sysconfdir=/etc \
               --enable-wlan \
@@ -28,4 +32,3 @@
   make DESTDIR=${pkgdir} install
   install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE
 }
-

Copied: conky/repos/extra-i686/fix_hwmon_for_2.6.31.patch (from rev 55237, conky/trunk/fix_hwmon_for_2.6.31.patch)
===================================================================
--- extra-i686/fix_hwmon_for_2.6.31.patch	                        (rev 0)
+++ extra-i686/fix_hwmon_for_2.6.31.patch	2009-10-12 12:46:18 UTC (rev 55239)
@@ -0,0 +1,36 @@
+Horrible hack to make conky JUST compatible with the karmic kernel (2.6.31).
+See LP #435571.
+
+Index: conky-1.7.2/src/linux.c
+===================================================================
+--- conky-1.7.2.orig/src/linux.c	2009-09-24 15:33:48.000000000 +0200
++++ conky-1.7.2/src/linux.c	2009-09-24 15:37:11.000000000 +0200
+@@ -858,25 +858,14 @@
+ 	}
+ 
+ 	if (strcmp(dir, "/sys/class/hwmon/") == 0) {
+-		if (*buf) {
+-			/* buf holds result from get_first_file_in_a_directory() above,
+-			 * e.g. "hwmon0" -- append "/device" */
+-			strcat(buf, "/device");
+-		} else {
++	  if (!(*buf)) {
+ 			/* dev holds device number N as a string,
+-			 * e.g. "0", -- convert to "hwmon0/device" */
+-			sprintf(buf, "hwmon%s/device", dev);
++			 * e.g. "0", -- convert to "hwmon0" */
++			sprintf(buf, "hwmon%s", dev);
+ 			dev = buf;
+ 		}
+ 	}
+ 
+-	/* At least the acpitz hwmon doesn't have a 'device' subdir,
+-	 * so check it's existence and strip it from buf otherwise. */
+-	snprintf(path, 255, "%s%s", dir, dev);
+-	if (stat(path, &st)) {
+-		buf[strlen(buf) - 7] = 0;
+-	}
+-
+ 	/* change vol to in, tempf to temp */
+ 	if (strcmp(type, "vol") == 0) {
+ 		type = "in";




More information about the arch-commits mailing list